org.eclipse.viatra.cep.core.engine.compiler

## Class MappingPatterns

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup
  - - org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup
    - - org.eclipse.viatra.cep.core.engine.compiler.MappingPatterns

- All Implemented Interfaces:
    IQueryGroup

      public final class MappingPatterns
      extends BaseGeneratedPatternGroup

  A pattern group formed of all public patterns defined in mappingPatterns.vql.

  Use the static instance as any `org.eclipse.viatra.query.runtime.api.IPatternGroup`, to conveniently prepare a VIATRA Query engine for matching all patterns originally defined in file mappingPatterns.vql, in order to achieve better performance than one-by-one on-demand matcher initialization.

  From package org.eclipse.viatra.cep.core.engine.compiler, the group contains the definition of the following patterns:

  - translatedEventPattern
  - atomicEventPattern
  - followsPattern
  - orPattern
  - andPattern
  - notPattern
  - negativeTransition
  - complexFollowsTransition
  - complexOrTransition
  - complexAndTransition
  - nonUnfoldedNotTransition
  - complexNotTransition
  See Also:
    `IPatternGroup`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup

      `querySpecifications`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AndPatternQuerySpecification` | `getAndPattern()`
    `AndPatternMatcher` | `getAndPattern(ViatraQueryEngine engine)`
    `AtomicEventPatternQuerySpecification` | `getAtomicEventPattern()`
    `AtomicEventPatternMatcher` | `getAtomicEventPattern(ViatraQueryEngine engine)`
    `ComplexAndTransitionQuerySpecification` | `getComplexAndTransition()`
    `ComplexAndTransitionMatcher` | `getComplexAndTransition(ViatraQueryEngine engine)`
    `ComplexFollowsTransitionQuerySpecification` | `getComplexFollowsTransition()`
    `ComplexFollowsTransitionMatcher` | `getComplexFollowsTransition(ViatraQueryEngine engine)`
    `ComplexNotTransitionQuerySpecification` | `getComplexNotTransition()`
    `ComplexNotTransitionMatcher` | `getComplexNotTransition(ViatraQueryEngine engine)`
    `ComplexOrTransitionQuerySpecification` | `getComplexOrTransition()`
    `ComplexOrTransitionMatcher` | `getComplexOrTransition(ViatraQueryEngine engine)`
    `FollowsPatternQuerySpecification` | `getFollowsPattern()`
    `FollowsPatternMatcher` | `getFollowsPattern(ViatraQueryEngine engine)`
    `NegativeTransitionQuerySpecification` | `getNegativeTransition()`
    `NegativeTransitionMatcher` | `getNegativeTransition(ViatraQueryEngine engine)`
    `NonUnfoldedNotTransitionQuerySpecification` | `getNonUnfoldedNotTransition()`
    `NonUnfoldedNotTransitionMatcher` | `getNonUnfoldedNotTransition(ViatraQueryEngine engine)`
    `NotPatternQuerySpecification` | `getNotPattern()`
    `NotPatternMatcher` | `getNotPattern(ViatraQueryEngine engine)`
    `OrPatternQuerySpecification` | `getOrPattern()`
    `OrPatternMatcher` | `getOrPattern(ViatraQueryEngine engine)`
    `TranslatedEventPatternQuerySpecification` | `getTranslatedEventPattern()`
    `TranslatedEventPatternMatcher` | `getTranslatedEventPattern(ViatraQueryEngine engine)`
    `static MappingPatterns` | `instance()` Access the pattern group.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup

      `getSpecifications`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static MappingPatterns instance()
                                          throws ViatraQueryException

      Access the pattern group.
      Returns:
        the singleton instance of the group
      Throws:
        `ViatraQueryException` - if there was an error loading the generated code of pattern specifications

    - #### getTranslatedEventPattern

          public TranslatedEventPatternQuerySpecification getTranslatedEventPattern()
                                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTranslatedEventPattern

          public TranslatedEventPatternMatcher getTranslatedEventPattern(ViatraQueryEngine engine)
                                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getAtomicEventPattern

          public AtomicEventPatternQuerySpecification getAtomicEventPattern()
                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getAtomicEventPattern

          public AtomicEventPatternMatcher getAtomicEventPattern(ViatraQueryEngine engine)
                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getFollowsPattern

          public FollowsPatternQuerySpecification getFollowsPattern()
                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getFollowsPattern

          public FollowsPatternMatcher getFollowsPattern(ViatraQueryEngine engine)
                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getOrPattern

          public OrPatternQuerySpecification getOrPattern()
                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getOrPattern

          public OrPatternMatcher getOrPattern(ViatraQueryEngine engine)
                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getAndPattern

          public AndPatternQuerySpecification getAndPattern()
                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getAndPattern

          public AndPatternMatcher getAndPattern(ViatraQueryEngine engine)
                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNotPattern

          public NotPatternQuerySpecification getNotPattern()
                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNotPattern

          public NotPatternMatcher getNotPattern(ViatraQueryEngine engine)
                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNegativeTransition

          public NegativeTransitionQuerySpecification getNegativeTransition()
                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNegativeTransition

          public NegativeTransitionMatcher getNegativeTransition(ViatraQueryEngine engine)
                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexFollowsTransition

          public ComplexFollowsTransitionQuerySpecification getComplexFollowsTransition()
                                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexFollowsTransition

          public ComplexFollowsTransitionMatcher getComplexFollowsTransition(ViatraQueryEngine engine)
                                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexOrTransition

          public ComplexOrTransitionQuerySpecification getComplexOrTransition()
                                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexOrTransition

          public ComplexOrTransitionMatcher getComplexOrTransition(ViatraQueryEngine engine)
                                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexAndTransition

          public ComplexAndTransitionQuerySpecification getComplexAndTransition()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexAndTransition

          public ComplexAndTransitionMatcher getComplexAndTransition(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNonUnfoldedNotTransition

          public NonUnfoldedNotTransitionQuerySpecification getNonUnfoldedNotTransition()
                                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNonUnfoldedNotTransition

          public NonUnfoldedNotTransitionMatcher getNonUnfoldedNotTransition(ViatraQueryEngine engine)
                                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexNotTransition

          public ComplexNotTransitionQuerySpecification getComplexNotTransition()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getComplexNotTransition

          public ComplexNotTransitionMatcher getComplexNotTransition(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`